Skip to content
EN

Upscale(放大高清)

方法: POST路径: /ideogram/upscale

Remix provided images synchronously based on a given prompt and optional parameters 根据给定的提示和可选参数,实时提供重新混合的图像 具体参数请看官方文档:https://developer.ideogram.ai/api-reference/generate/post-generate-image

请求参数

Header 参数

text
accept
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 multipart/form-data

text
image_request
string
必需
示例:
{"resemblance":50,"magic_prompt_option":"AUTO","prompt":"A%20serene%20tropical%20beach%20","seed":12345,"detail":50}
image_file
file
必需
示例:
file://E:\Downloads\flux.png

请求示例代码

Shell

bash
curl --location --request POST '/ideogram/upscale' \
--header 'accept: application/json' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--form 'image_request="{\"resemblance\":50,\"magic_prompt_option\":\"AUTO\",\"prompt\":\"A%20serene%20tropical%20beach%20\",\"seed\":12345,\"detail\":50}"' \
--form 'image_file=@"E:\\Downloads\\flux.png"'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
created
string
必需
data
array
[object]
必需
is_image_safe
boolean
可选
prompt
string
可选
resolution
string
可选
seed
integer
可选
url
string
可选

示例

json
{
    "data": [
        {
            "seed": 12345,
            "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
            "resolution": "1024x1024",
            "url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
            "is_image_safe": true
        },
        {
            "seed": 12345,
            "prompt": "A serene tropical beach scene. Dominating the foreground are tall palm trees with lush green leaves, standing tall against a backdrop of a sandy beach. The beach leads to the azure waters of the sea, which gently kisses the shoreline. In the distance, there's an island or landmass with a silhouette of what appears to be a lighthouse or tower. The sky above is painted with fluffy white clouds, some of which are tinged with hues of pink and orange, suggesting either a sunrise or sunset.",
            "resolution": "1024x1024",
            "url": "https://ideogram.ai/api/images/direct/8YEpFzHuS-S6xXEGmCsf7g",
            "is_image_safe": true
        }
    ],
    "created": "2000-01-23T04:56:07.000Z"
}